InvalidFileStoreVersionException migrating from older version to 6.3 using CRX2Oak

Issue

When migrating content from AEM 6.0, 6.1 or 6.2 to AEM 6.3 using the CRX2Oak utility,  the below error is observed:

22.08.2017 11:25:16.256 ERROR c.a.g.c.c.MigrationSpecGenerator: I/O error during processing migration specification: org.apache.jackrabbit.oak.segment.file.InvalidFileStoreVersionException: Using oak-segment-tar, but oak-segment should be used

Environment

CRX2Oak-1.6.x is used to migrate from AEM6.0-6.2 to 6.3 or future version.

Cause

Missing parameter in the CRX2Oak command.

Resolution

Add "segment-old:" before the source path in the CRX2Oak command like this (see highlighted text below):

java -Xmx1g -jar crx2oak-1.6.8-all-in-one.jar --include-paths=/content/geometrixx segment-old:/opt/old-aem/repository /opt/aem63/crx-quickstart/repository

Adobe logó

Bejelentkezés a fiókba